> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Current Organization Preferences

> Get current preferences for an organization.



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/preferences
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/preferences:
    get:
      tags:
        - Core
        - Organizations
        - Preferences
      summary: Get Current Organization Preferences
      description: Get current preferences for an organization.
      operationId: >-
        get_current_organization_preferences_organizations__organization_id__preferences_get
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/DEOrganizationPreferencesResponse'
                  - $ref: '#/components/schemas/GBOrganizationPreferencesResponse'
                discriminator:
                  propertyName: preferences_country
                  mapping:
                    DE:
                      $ref: '#/components/schemas/DEOrganizationPreferencesResponse'
                    GB:
                      $ref: '#/components/schemas/GBOrganizationPreferencesResponse'
                title: >-
                  Response Get Current Organization Preferences Organizations 
                  Organization Id  Preferences Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    DEOrganizationPreferencesResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        is_insolvent:
          type: boolean
          title: Is Insolvent
          default: false
        insolvency_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Insolvency Start Date
        insolvency_end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Insolvency End Date
        insolvency_company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Insolvency Company Number
        insurance_subsidy_method:
          anyOf:
            - type: string
              enum:
                - remuneration
                - assessment_ceiling
            - type: 'null'
          title: Insurance Subsidy Method
        extra_paid_leave_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Extra Paid Leave Days
        first_payroll_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: First Payroll Date
          description: First payroll (ever) run by the company
        last_payroll_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Last Payroll Date
          description: Last payroll run in other system before Intermezzo's first payroll
        first_payroll_intermezzo:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: First Payroll Intermezzo
          description: First date Intermezzo software is used for payroll
        logo_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Id
        preferences_country:
          type: string
          const: DE
          title: Preferences Country
          default: DE
        insurance_credit_preference:
          anyOf:
            - type: string
            - type: 'null'
          title: Insurance Credit Preference
          description: >-
            Für die Möglichkeit der Überweisung, Verrechnung oder Gutschrift ist
            eine entsprechende Eingabemöglichkeit vorzusehen.
        days_for_sickness_certificate:
          anyOf:
            - type: integer
            - type: 'null'
          title: Days For Sickness Certificate
          default: 4
        additional_childcare_sick_days_reason:
          anyOf:
            - $ref: '#/components/schemas/ChildcareSickDaysReason'
            - type: 'null'
          description: >-
            Reason for the selection of the number of additional paid sick days
            for childcare.
        id:
          type: integer
          title: Id
      additionalProperties: true
      type: object
      required:
        - id
      title: DEOrganizationPreferencesResponse
    GBOrganizationPreferencesResponse:
      properties:
        valid_from:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid From
        valid_to:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Valid To
        is_insolvent:
          type: boolean
          title: Is Insolvent
          default: false
        insolvency_start_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Insolvency Start Date
        insolvency_end_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Insolvency End Date
        insolvency_company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Insolvency Company Number
        insurance_subsidy_method:
          anyOf:
            - type: string
              enum:
                - remuneration
                - assessment_ceiling
            - type: 'null'
          title: Insurance Subsidy Method
        extra_paid_leave_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Extra Paid Leave Days
        first_payroll_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: First Payroll Date
          description: First payroll (ever) run by the company
        last_payroll_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Last Payroll Date
          description: Last payroll run in other system before Intermezzo's first payroll
        first_payroll_intermezzo:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: First Payroll Intermezzo
          description: First date Intermezzo software is used for payroll
        logo_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Id
        preferences_country:
          type: string
          const: GB
          title: Preferences Country
          default: GB
        sender_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Id
        sender_pass:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Pass
        sender_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Sender Email
        sender_type:
          anyOf:
            - $ref: '#/components/schemas/SenderType'
            - type: 'null'
        ea_eligible:
          type: boolean
          title: Ea Eligible
          default: false
        ea_annual_allowance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Ea Annual Allowance
          default: '10500'
        bacs_sun:
          anyOf:
            - type: string
              pattern: ^\d{6}$
            - type: 'null'
          title: Bacs Sun
        id:
          type: integer
          title: Id
      additionalProperties: true
      type: object
      required:
        - id
      title: GBOrganizationPreferencesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ChildcareSickDaysReason:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
      title: ChildcareSickDaysReason
    SenderType:
      type: string
      enum:
        - EMPLOYER
        - AGENT
        - BUREAU
      title: SenderType
      description: Sender type enumeration.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````